GCLOUD_COMPUTE_INSTANCES_SET-DISK-AUTO-DELETE(1)

NAME

gcloud compute instances set-disk-auto-delete - set auto-delete behavior for disks

SYNOPSIS

gcloud compute instances set-disk-auto-delete INSTANCE [--no-auto-delete] [--device-name DEVICE_NAME | --disk DISK] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
$gcloud compute instances set-disk-auto-delete is used to configure the auto-delete behavior for disks attached to Google Compute Engine virtual machines. When auto-delete is on, the persistent disk is deleted when the instance it is attached to is deleted.

POSITIONAL ARGUMENTS
INSTANCE
    The name of the instance for which to configure disk auto-deletion.

FLAGS
--auto-delete
    Enables auto-delete for the given disk. Enabled by default, use --no-auto-delete to disable.
--device-name DEVICE_NAME
    Specifies a disk to set auto-delete for by its device name, which is the name that the guest operating system sees. The device name is set at the time that the disk is attached to the instance, and need not be the same as the persistent disk name. If the disk's device name is specified, then its persistent disk name must not be specified using the --disk flag.
--disk DISK
    Specifies a disk to set auto-delete for by its resource name. If you specify a disk to set auto-delete for by persistent disk name, then you must not specify its device name using the --device-name flag.
--zone ZONE
    The zone of the instance to configure disk auto-delete for. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.